FROM python:3.10-slim

WORKDIR /app

# Install Python dependencies
COPY requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

COPY . .
#keep the container running always
CMD ["sh", "-c", "while true; do sleep 30; done"]
